Name:           perl-Test-Pod-Coverage
Version:        1.10
Release:        14
Summary:        Check for pod coverage in your distribution
License:        Artistic 2.0
URL:            https://metacpan.org/release/Test-Pod-Coverage
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEILB/Test-Pod-Coverage-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl-interpreter, perl-generators, perl(ExtUtils::MakeMaker), perl(strict)
BuildRequires:  perl(warnings), perl(Pod::Coverage), perl(Test::Builder), perl(base)
BuildRequires:  perl(lib), perl(Pod::Coverage::CountParents), perl(Test::Builder::Tester)
BuildRequires:  perl(Test::More), perl(Test::Pod) >= 1.14
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Test::Pod::Coverage is used to create a test
for your distribution, to ensure that all
relevant files in your distribution are
appropriately documented in pod.
Can also be called with Pod::Coverage parms.

%package        help
Summary:        man files for %{name}
Requires:       man

%description    help
This package includes man files for %{name}.

%prep
%autosetup -n Test-Pod-Coverage-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc README
%{perl_vendorlib}/Test/

%files help
%{_mandir}/man*/*

%changelog
* Mon Jan 13 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.10-14
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:change delete packlist

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.10-13
- Package init
